ami-4438b474 lacks /var/log/{btmp,wtmp,lastlog}

Reported by Shannon Prickett on 2012-06-29
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu
Low
Ben Howard

Bug Description

ami-4438b474 is one of the images of type Ubuntu 12.04 (Precise Pangolin) [20120616] at http://uec-images.ubuntu.com/releases/precise/release/ and more specifically the us-west2 ebs 64bit variant. Instances launched from it lack three log files I've grown accustomed to using and I could find no information indicating they've been deliberately deprecated.

/var/log/btmp [used by lastb]
/var/log/wtmp [used by last]
/var/log/lastlog [used by lastlog]

Scott Moser (smoser) on 2012-06-29
affects: ubuntu-ami-testing → ubuntu
tags: added: cloud-images ec2-images
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Ben Howard (utlemming) wrote :
Changed in ubuntu:
importance: Undecided → Medium
Ben Howard (utlemming) wrote :

This regression is from the live-builder switch over. The next daily should have this enabled. I'm marking this as fix-committed pending the next release of the images.

Also, as a work around you can run:
   touch /var/log/{btmp,lastlog,wtmp}

Changed in ubuntu:
assignee: nobody → Ben Howard (utlemming)
importance: Medium → Low
status: Confirmed → Fix Committed
Scott Moser (smoser) on 2012-06-29
tags: added: cloud-images-build
Ben Howard (utlemming) wrote :

Confirmed that the latest dailies have this fixed. I expect that the next release of the cloud images will 12.04.1.

ubuntu@domU-12-31-39-10-2D-E4:~$ ls /var/log/{btmp,wtmp,lastlog}
/var/log/btmp /var/log/lastlog /var/log/wtmp
ubuntu@domU-12-31-39-10-2D-E4:~$ last
ubuntu pts/0 53.236.sfcn.org Mon Jul 2 14:16 still logged in
reboot system boot 3.2.0-26-virtual Mon Jul 2 14:14 - 14:19 (00:05)

wtmp begins Mon Jul 2 14:14:38 2012
ubuntu@domU-12-31-39-10-2D-E4:~$ lastlog
Username Port From Latest
root **Never logged in**
daemon **Never logged in**
bin **Never logged in**
sys **Never logged in**
sync **Never logged in**
games **Never logged in**
man **Never logged in**
lp **Never logged in**
mail **Never logged in**
news **Never logged in**
uucp **Never logged in**
proxy **Never logged in**
www-data **Never logged in**
backup **Never logged in**
list **Never logged in**
irc **Never logged in**
gnats **Never logged in**
nobody **Never logged in**
libuuid **Never logged in**
syslog **Never logged in**
messagebus **Never logged in**
whoopsie **Never logged in**
landscape **Never logged in**
sshd **Never logged in**
ubuntu pts/0 53.236.sfcn.org Mon Jul 2 14:16:56 +0000 2012
ubuntu@domU-12-31-39-10-2D-E4:~$ who
ubuntu pts/0 2012-07-02 14:16 (REDACTED)

Scott Moser (smoser) wrote :

Did this regress?
$ last
last: /var/log/wtmp: No such file or directory
Perhaps this file was removed by the operator to prevent logging last info.
$ cat /etc/cloud/build.info
build_name: server
serial: 20121002

Ben Howard (utlemming) wrote :

Yes, this regressed. I fixed the regression by adding a whitelist of files that are not removed.

Unfortantely, this bug exists in the latest released of Precise Cloud Images.

Stefano Rivera (stefanor) wrote :

This appears to have been fixed in the 18 December images.

Changed in ubuntu:
status: Fix Committed → Fix Released
JGJoy (freyjoy) wrote :

These files were missing in a 12.04.2 image I brought up a few days ago (probably 1/31) : AMI: ubuntu/images/ebs/ubuntu-precise-12.04-amd64-server-20121001 (ami-3d4ff254) .

Ben Howard (utlemming) wrote :

re: Comment #8 : this was fixed in the images, so any image that with a serial after 2012-10-03 will not work. Please check /etc/cloud/build.info to get the serial.

There is functionally no way to go back and fix the older images. Please use an updated image.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers